## nvidia-container-runtime-3.5.0.tar.gz

=== Makefile ===
# Copyright (c) 2017-2021, NVIDIA CORPORATION.  All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

DOCKER ?= docker
MKDIR  ?= mkdir
DIST_DIR ?= $(CURDIR)/dist

LIB_NAME := nvidia-container-runtime
LIB_VERSION := 3.5.0
PKG_REV := 1

TOOLKIT_VERSION := 1.5.0
GOLANG_VERSION  := 1.16.3
MODULE := .

# By default run all native docker-based targets
docker-native:
include $(CURDIR)/docker/docker.mk

binaries:
	go build -ldflags "-s -w" $(MODULE)/cmd/...

build: binaries
	go build -ldflags "-s -w" $(MODULE)/...

# Define the check targets for the Golang codebase
MODULE := .
.PHONY: check fmt assert-fmt ineffassign lint misspell vet
check: assert-fmt lint misspell vet
fmt:
	go list -f '{{.Dir}}' $(MODULE)/... \
		| xargs gofmt -s -l -w

assert-fmt:
	go list -f '{{.Dir}}' $(MODULE)/... \
		| xargs gofmt -s -l > fmt.out
	@if [ -s fmt.out ]; then \
		echo "\nERROR: The following files are not formatted:\n"; \
		cat fmt.out; \
		rm fmt.out; \
		exit 1; \
	else \
		rm fmt.out; \
	fi

ineffassign:
	ineffassign $(MODULE)/...

lint:
	# We use `go list -f '{{.Dir}}' $(MODULE)/...` to skip the `vendor` folder.
	go list -f '{{.Dir}}' $(MODULE)/... | xargs golint -set_exit_status

misspell:
	misspell $(MODULE)/...

vet:
	go vet $(MODULE)/...

MOCK_RUNC=$(CURDIR)/runc
mock-runc:
	@(printf '#!/bin/bash\necho mock runc') > $(MOCK_RUNC)
	@chmod +x $(MOCK_RUNC)

mock-hook:
	[ ! -e /etc/nvidia-container-runtime ] && mkdir /etc/nvidia-container-runtime || true
	[ ! -e /etc/nvidia-container-runtime/config.toml ] && echo "" > /etc/nvidia-container-runtime/config.toml || true
	[ ! -e /usr/bin/nvidia-container-runtime-hook ] && echo "" > /usr/bin/nvidia-container-runtime-hook && chmod +x /usr/bin/nvidia-container-runtime-hook || true

test: build mock-runc mock-hook
	@go test -v -coverprofile=coverage.out $(MODULE)/...
	@${RM} $(MOCK_RUNC)

.PHONY: docker-test
docker-test:
	$(DOCKER) run \
		--rm \
		-e GOCACHE=/tmp/.cache \
		-v $(PWD):$(PWD) \
		-w $(PWD) \
		golang:$(GOLANG_VERSION) \
			make test

=== debian/changelog ===
nvidia-container-runtime (3.5.0-1) UNRELEASED; urgency=medium

  * Add dependence on nvidia-container-toolkit >= 1.5.0
  * Refactor the whole project for easier extensibility in the future
  * Move main to cmd/nvidia-container-runtime to make it go-installable
  * Switch to logrus for logging and refactor how logging is done
  * Update to Golang 1.16.3
  * Improvements to build and CI system
  * Reorganize the code structure and format it correctly

 -- NVIDIA CORPORATION <cudatools@nvidia.com>  Thu, 29 Apr 2021 05:10:29 +0000

nvidia-container-runtime (3.4.2-1) UNRELEASED; urgency=medium

  * Add dependence on nvidia-container-toolkit >= 1.4.2

 -- NVIDIA CORPORATION <cudatools@nvidia.com>  Fri, 05 Feb 2021 02:30:49 +0000

nvidia-container-runtime (3.4.1-1) UNRELEASED; urgency=medium

  * Update README to list 'compute' as part of the default capabilities
  * Switch to gomod for vendoring
  * Update to Go 1.15.6 for builds
  * Add dependence on nvidia-container-toolkit >= 1.4.1

 -- NVIDIA CORPORATION <cudatools@nvidia.com>  Mon, 25 Jan 2021 02:34:42 +0000

nvidia-container-runtime (3.4.0-1) UNRELEASED; urgency=medium

  * Bump version to v3.4.0
  * Add dependence on nvidia-container-toolkit >= 1.3.0

 -- NVIDIA CORPORATION <cudatools@nvidia.com>  Wed, 16 Sep 2020 13:48:15 +0000

nvidia-container-runtime (3.3.0-1) UNRELEASED; urgency=medium

  * e550cb15 Update package license to match source license
  * f02eef53 Update project License
  * c0fe8aae Update dependence on nvidia-container-toolkit to 1.2.0

 -- NVIDIA CORPORATION <cudatools@nvidia.com>  Wed, 08 Jul 2020 20:23:05 +0000

nvidia-container-runtime (3.2.0-1) UNRELEASED; urgency=medium

  * e486a70e Update build system to support multi-arch builds
  * 854f4c48 Require new MIG changes

 -- NVIDIA CORPORATION <cudatools@nvidia.com>  Fri, 15 May 2020 12:04:57 +0000

nvidia-container-runtime (3.1.4-1) UNRELEASED; urgency=medium

  * Split into nvidia-container-runtime and nvidia-container-runtime-hook

 -- NVIDIA CORPORATION <cudatools@nvidia.com>  Wed, 07 Mar 2018 05:47:37 +0000

=== debian/control ===
Source: nvidia-container-runtime
Section: @SECTION@utils
Priority: optional
Maintainer: NVIDIA CORPORATION <cudatools@nvidia.com>
Standards-Version: 3.9.8
Homepage: https://github.com/NVIDIA/nvidia-container-runtime/wiki
Vcs-Git: https://github.com/NVIDIA/nvidia-container-runtime
Vcs-Browser: https://github.com/NVIDIA/nvidia-container-runtime
Build-Depends: debhelper (>= 9)

Package: nvidia-container-runtime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nvidia-container-toolkit (>= @TOOLKIT_VERSION@), nvidia-container-toolkit (<< 2.0.0), libseccomp2
Description: NVIDIA container runtime
 Provides a modified version of runc allowing users to run GPU enabled
 containers.
